> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List invoices

> List invoices given a `next` or `previous` cursor and a limit. If cursor is not provided you will get the beginning of the search set



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /invoices
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /invoices:
    get:
      tags:
        - Invoices
      summary: List invoices
      description: >-
        List invoices given a `next` or `previous` cursor and a limit. If cursor
        is not provided you will get the beginning of the search set
      operationId: List-invoices
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The cursor indicating a unique set of results - this should be
              auto generated and you get it from the `next` and `previous`
              fields of the response
            examples:
              - V2VsbCBhcmV1IGN1cmlvdxM=
            title: Cursor
          description: >-
            The cursor indicating a unique set of results - this should be auto
            generated and you get it from the `next` and `previous` fields of
            the response
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The number of results to return - defaults to 10
            examples:
              - 10
            title: Limit
          description: The number of results to return - defaults to 10
        - name: order
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - '-created_at'
            default: '-created_at'
            title: Order
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Id
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  In
        - name: id__not_in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  Not In
        - name: customer_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer Id
        - name: customer_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer Id  In
        - name: customer_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Customer Id  Isnull
        - name: contract_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Contract Id
        - name: contract_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contract Id  In
        - name: contract_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Contract Id  Isnull
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: status__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status  Ilike
        - name: status__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status  Like
        - name: status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status  In
        - name: status__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Status  Isnull
        - name: external_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id
        - name: external_id__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id  Ilike
        - name: external_id__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id  Like
        - name: external_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: External Id  In
        - name: external_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: External Id  Isnull
        - name: invoice_total
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Invoice Total
        - name: invoice_total__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Invoice Total  Neq
        - name: invoice_total__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Invoice Total  Gt
        - name: invoice_total__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Invoice Total  Gte
        - name: invoice_total__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Invoice Total  Lt
        - name: invoice_total__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Invoice Total  Lte
        - name: invoice_total__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Invoice Total  Isnull
        - name: invoice_total__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice Total  In
        - name: amount_due
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Due
        - name: amount_due__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Due  Neq
        - name: amount_due__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Due  Gt
        - name: amount_due__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Due  Gte
        - name: amount_due__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Due  Lt
        - name: amount_due__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Amount Due  Lte
        - name: amount_due__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Amount Due  Isnull
        - name: amount_due__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Amount Due  In
        - name: due_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Due Date
        - name: due_date__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Due Date  Neq
        - name: due_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Due Date  Gt
        - name: due_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Due Date  Gte
        - name: due_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Due Date  Lt
        - name: due_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Due Date  Lte
        - name: due_date__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Due Date  Isnull
        - name: due_date__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Due Date  In
        - name: effective_due_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Effective Due Date
        - name: effective_due_date__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Effective Due Date  Neq
        - name: effective_due_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Effective Due Date  Gt
        - name: effective_due_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Effective Due Date  Gte
        - name: effective_due_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Effective Due Date  Lt
        - name: effective_due_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Effective Due Date  Lte
        - name: effective_due_date__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Effective Due Date  Isnull
        - name: effective_due_date__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Effective Due Date  In
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At
        - name: created_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Neq
        - name: created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gt
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gte
        - name: created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lt
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lte
        - name: created_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Created At  Isnull
        - name: created_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At  In
        - name: bill_for_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Bill For Date
        - name: bill_for_date__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Bill For Date  Neq
        - name: bill_for_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Bill For Date  Gt
        - name: bill_for_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Bill For Date  Gte
        - name: bill_for_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Bill For Date  Lt
        - name: bill_for_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Bill For Date  Lte
        - name: bill_for_date__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Bill For Date  Isnull
        - name: bill_for_date__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Bill For Date  In
        - name: approved_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At
        - name: approved_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At  Neq
        - name: approved_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At  Gt
        - name: approved_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At  Gte
        - name: approved_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At  Lt
        - name: approved_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Approved At  Lte
        - name: approved_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Approved At  Isnull
        - name: approved_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Approved At  In
        - name: sent_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Sent At
        - name: sent_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Sent At  Neq
        - name: sent_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Sent At  Gt
        - name: sent_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Sent At  Gte
        - name: sent_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Sent At  Lt
        - name: sent_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Sent At  Lte
        - name: sent_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Sent At  Isnull
        - name: sent_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sent At  In
        - name: paid_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Paid At
        - name: paid_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Paid At  Neq
        - name: paid_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Paid At  Gt
        - name: paid_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Paid At  Gte
        - name: paid_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Paid At  Lt
        - name: paid_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Paid At  Lte
        - name: paid_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Paid At  Isnull
        - name: paid_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Paid At  In
        - name: period_begin_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period Begin Date
        - name: period_begin_date__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period Begin Date  Neq
        - name: period_begin_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period Begin Date  Gt
        - name: period_begin_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period Begin Date  Gte
        - name: period_begin_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period Begin Date  Lt
        - name: period_begin_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period Begin Date  Lte
        - name: period_begin_date__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Period Begin Date  Isnull
        - name: period_begin_date__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Period Begin Date  In
        - name: period_end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period End Date
        - name: period_end_date__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period End Date  Neq
        - name: period_end_date__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period End Date  Gt
        - name: period_end_date__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period End Date  Gte
        - name: period_end_date__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period End Date  Lt
        - name: period_end_date__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Period End Date  Lte
        - name: period_end_date__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Period End Date  Isnull
        - name: period_end_date__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Period End Date  In
        - name: invoice_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice Number
        - name: invoice_number__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice Number  Ilike
        - name: invoice_number__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice Number  Like
        - name: invoice_number__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Invoice Number  In
        - name: customer__customer_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  Customer Name
        - name: customer__customer_name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  Customer Name  Ilike
        - name: customer__customer_name__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  Customer Name  Like
        - name: customer__customer_name__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  Customer Name  In
        - name: customer__customer_name__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Customer  Customer Name  Isnull
        - name: customer__external_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  External Id
        - name: customer__external_id__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  External Id  Ilike
        - name: customer__external_id__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  External Id  Like
        - name: customer__external_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  External Id  In
        - name: customer__external_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Customer  External Id  Isnull
        - name: customer__business_entity_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer  Business Entity Id
        - name: customer__business_entity_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  Business Entity Id  In
        - name: customer__business_entity_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Customer  Business Entity Id  Isnull
        - name: contract__name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contract  Name
        - name: contract__name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contract  Name  Ilike
        - name: contract__name__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contract  Name  Like
        - name: contract__name__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contract  Name  In
        - name: contract__name__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Contract  Name  Isnull
        - name: payment_methods__id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Payment Methods  Id
        - name: payment_methods__id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Id  In
        - name: payment_methods__id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Id  Isnull
        - name: payment_methods__connector_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Payment Methods  Connector Id
        - name: payment_methods__connector_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Connector Id  In
        - name: payment_methods__connector_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Connector Id  Isnull
        - name: payment_methods__connector_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Connector Name
        - name: payment_methods__connector_name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Connector Name  Ilike
        - name: payment_methods__connector_name__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Connector Name  Like
        - name: payment_methods__connector_name__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Connector Name  In
        - name: payment_methods__connector_name__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Connector Name  Isnull
        - name: payment_methods__connector_name__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Connector Name  Neq
        - name: payment_methods__external_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  External Id
        - name: payment_methods__external_id__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  External Id  Ilike
        - name: payment_methods__external_id__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  External Id  Like
        - name: payment_methods__external_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  External Id  In
        - name: payment_methods__external_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  External Id  Isnull
        - name: payment_methods__status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Status
        - name: payment_methods__status__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Status  Ilike
        - name: payment_methods__status__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Status  Like
        - name: payment_methods__status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Status  In
        - name: payment_methods__status__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Status  Isnull
        - name: payment_methods__country
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Country
        - name: payment_methods__country__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Country  Ilike
        - name: payment_methods__country__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Country  Like
        - name: payment_methods__country__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Country  In
        - name: payment_methods__country__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Country  Isnull
        - name: payment_methods__is_default
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Is Default
        - name: payment_methods__is_default__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Is Default  Isnull
        - name: payment_methods__type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Type
        - name: payment_methods__type__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Type  Ilike
        - name: payment_methods__type__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Type  Like
        - name: payment_methods__type__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Payment Methods  Type  In
        - name: payment_methods__type__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Payment Methods  Type  Isnull
        - name: apiversion
          in: header
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Apiversion
          example: 20230501
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResults_InvoicePublic_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiTokenAuth: []
          OrganisationAuth: []
          ApiVersionAuth: []
components:
  schemas:
    PaginatedResults_InvoicePublic_:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          description: The cursor for the next page of results
          examples:
            - V2VsbCBhcmV1IGN1cmlvdxM=
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
          description: The cursor for the previous page of results
          examples:
            - GmBsbCBhcmV1IGN1cmlvdxM=
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: The total count of rows
        results:
          items:
            $ref: '#/components/schemas/InvoicePublic'
          type: array
          title: Results
          description: The results for the current page
      type: object
      required:
        - results
      title: PaginatedResults[InvoicePublic]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvoicePublic:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: Invoice Id
        invoice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Id
          description: Zenskar Invoice ID of the invoice
        customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Id
          description: Zenskar Customer ID of the invoice
        contract_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Contract Id
          description: Zenskar Contract ID of the invoice
        invoice_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Number
          description: Zenskar invoice number of the invoice
        invoice_period:
          anyOf:
            - $ref: '#/components/schemas/InvoicePeriod'
            - type: 'null'
          description: Billing Period of the invoice
        status:
          anyOf:
            - $ref: '#/components/schemas/InvoiceStatus'
            - type: 'null'
          description: Status of the invoice
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Time the invoice was created
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: Identity of the user or system which created the invoice
        last_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated At
          description: Last time the invoice was updated
        invoice_total:
          anyOf:
            - type: number
            - type: 'null'
          title: Invoice Total
          description: Total amount of the invoice, including discounts and taxes
        net_invoice_total:
          anyOf:
            - type: number
            - type: 'null'
          title: Net Invoice Total
          description: >-
            Net invoice amount, after credit notes, if there are any credit
            notes created against this invoice.
        applied_balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Applied Balance
          description: >-
            Credit Balance applied to the invoice, negative if credits are being
            consumed
        invoice_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Url
          description: URL to view the invoice
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: External ID of the invoice, for example the stripe invoice id
        payment_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Url
          description: URL to pay the invoice
        due_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Due Date
          description: Due date of the invoice, only approved invoices have a due date
        promise_due_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Promise Due Date
          description: Promise due date for approved invoices
        amount_due:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount Due
          description: >-
            Amount due on the invoice, only approved invoices have an amount
            due, currently invoice total + applied balance
        charged_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Charged At
          description: Last time payment was initiated
      type: object
      title: InvoicePublic
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    InvoicePeriod:
      properties:
        begin_date:
          type: string
          format: date-time
          title: Begin Date
        end_date_exclusive:
          type: string
          format: date-time
          title: End Date Exclusive
      type: object
      title: InvoicePeriod
    InvoiceStatus:
      type: string
      enum:
        - draft
        - approved
        - edited
        - discarded
        - paid
        - void
        - partially_paid
        - upcoming
      title: InvoiceStatus
      description: >-
        When adding a new status make sure the following files are also modified
        appropriately
            * serverless-backend/zenskar_shared/models/invoices.py
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>
    ApiVersionAuth:
      type: apiKey
      in: header
      name: apiversion
      x-default: '20230501'

````